#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		perl_vendorarch	 %{_datadir}/perl5/core_perl/x86_64-linux
#-----------------------------------------------------------------------------
Name		:	perl-HTTP-Message
Version		:	6.18
Release		:	14.8.0.0%{?dist}
Summary		:	HTTP style request message

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/HTTP::Request

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
HTTP::Request is a class encapsulating HTTP style requests,
consisting of a request line, some headers, and a content body.
Note that the LWP library uses HTTP style requests even for
non-HTTP protocols. Instances of this class are usually passed
to the request() method of an LWP::UserAgent object.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%license LICENSE
%{_datadir}/perl5/core_perl/HTTP/*.pm
%{_datadir}/perl5/core_perl/HTTP/Headers/*.pm
%{_datadir}/perl5/core_perl/HTTP/Request/Common.pm
%{_mandir}/man3/HTTP::*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
